%define realname bytesize

%global somajor 1
%global libname %mklibname %{realname} %{somajor}
%global devname %mklibname %{realname} -d

Name:        libbytesize
Version:     2.6
Release:     %mkrel 3
Summary:     A library for working with sizes in bytes
License:     LGPLv2+
Group:       System/Libraries
URL:         https://github.com/storaged-project/libbytesize
Source0:     https://github.com/storaged-project/libbytesize/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: gcc
BuildRequires: gmp-devel
BuildRequires: mpfr-devel
BuildRequires: pcre2-devel
BuildRequires: gettext-devel
BuildRequires: python3-devel
BuildRequires: gtk-doc

%description
The libbytesize is a C library that facilitates work with sizes in
bytes. Be it parsing the input from users or producing a nice human readable
representation of a size in bytes this library takes localization into
account. It also provides support for sizes bigger than MAXUINT64.

%package -n %{libname}
Summary:  A library for working with sizes in bytes
Group:    System/Libraries

%description -n %{libname}
The libbytesize is a C library that facilitates work with sizes in
bytes. Be it parsing the input from users or producing a nice human readable
representation of a size in bytes this library takes localization into
account. It also provides support for sizes bigger than MAXUINT64.

%package -n %{devname}
Summary:  Development files for libbytesize
Group:    Development/Libraries
Provides: %{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Requires: %{libname} = %{version}-%{release}

%description -n %{devname}
This package contains header files and pkg-config files needed for development
with the libbytesize library.

%package -n python3-%{realname}
Summary:  Python 3 bindings for libbytesize
Group:    Development/Python
%{?python_provide:%python_provide python3-%{realname}}
%{?python_provide:%python_provide python3-libbytesize}
Requires: %{libname}%{?_isa} = %{version}-%{release}
Requires: python3-six

%description -n python3-%{realname}
This package contains Python 3 bindings for libbytesize making the use of
the library from Python 3 easier and more convenient.

%package tools
Summary:  Various nice tools based on libbytesize
Group:    System/Libraries
Requires: python3-%{realname} = %{version}-%{release}

%description tools
Various nice tools based on libbytesize, in particular the calculator
for doing calculations with storage sizes.

%prep
%setup -q

%build
%configure2_5x --without-python2
%make_build

%install
%make_install
find %{buildroot} -type f -name "*.la" | xargs %{__rm}
%find_lang %{name}


%files -n %{libname} -f %{name}.lang
%{_libdir}/libbytesize.so.%{somajor}*

%files -n %{devname}
%{_libdir}/libbytesize.so
%{_includedir}/bytesize/
%{_libdir}/pkgconfig/bytesize.pc
%{_datadir}/gtk-doc/html/libbytesize

%files -n python3-%{realname}
%{python3_sitearch}/bytesize/

%files tools
%{_bindir}/bscalc
%{_mandir}/man1/bscalc.1*


%changelog
* Sun Jun 26 2022 TerryN <terryn94 at gmail.com> 2.6-3pclos2022
- rebuild for python 3.10

* Thu Jun 23 2022 tex - 2.6-2pclos2022
- fix spec file

* Tue May 31 2022 yodelu 2.6-1pclos2022
- Import
